﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableCollection<StatDataSet> _dataSource = new ObservableCollection<StatDataSet>();
        public MainWindow()
        {
            InitializeComponent();
            xamDataGrid1.DataSource = _dataSource = new ObservableCollection<StatDataSet>(Enumerable.Range(0, 10).Select(i => new StatDataSet(Stats.GetStats(30))));
        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            this._dataSource.Add(Enumerable.Range(0, 10).Select(i => new StatDataSet(null)).First());
        }
    }

    public class GroupByRecordConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType,
               object parameter, System.Globalization.CultureInfo culture)
        {
            return string.Format("{0} ({1} items) {1}/{2}", values);
        }
        public object[] ConvertBack(object value, Type[] targetTypes,
               object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotSupportedException("Cannot convert back");
        }
    }
}
